### Constructor

# Gtk.Builder.new_from_file

#### Declaration [src]

    GtkBuilder*
    gtk_builder_new_from_file (
      const char* filename
    )

#### Description [src]

Parses the UI definition in the file `filename`.

If there is an error opening the file or parsing the description then the program will be aborted. You should only ever attempt to parse user interface descriptions that are shipped as part of your program.

#### Parameters

`filename` | `const char*`
| filename of user interface description file
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkBuilder`
a `GtkBuilder` containing the described interface
Ownership of the data is transferred to the caller